# GNUmakefile for building Encore
#
# Author: Oliver Langer
#
include $(GNUSTEP_MAKEFILES)/common.make

TOOL_NAME=EncoreTESTS
VERSION=0.1

#ADDITIONAL_TOOL_LIBS += -lEncore -lgnustep-base
ADDITIONAL_NATIVE_LIBS += Encore

EncoreTESTS_OBJC_FILES=\
  ECTestSuiteTEST.m\
  ECTests.m\
  ECXMLControlTEST.m\
  ECXMLSampleClassTEST.m\
  ECParameterStringTEST.m\
  ECStringUtilsTEST.m\
  ECLoggingTEST.m

EncoreTESTS_HEADER_FILES=\
  ECTestSuiteTEST.h\
  ECTests.h\
  ECXMLControlTEST.h\
  ECXMLSampleClassTEST.h\
  ECParameterStringTEST.h\
  ECStringUtilsTEST.h\
  ECLoggingTEST.h

-include GNUmakefile.preamble
include $(GNUSTEP_MAKEFILES)/tool.make
-include GNUmakefile.postamble
